Subject: Re: FCC on 8560 ADS

From: Jose Almeida <[email-masked]>
Date: Wed, 23 Feb 2005 09:51:50 +0100

All,

Please cancel this request, I found the problem.
I had a switch (SW4) with the wrong setup.

Thanks - Jose

Jose Almeida wrote:

> All,
>
> I'm trying to get a linux 2.6 kernel up and running on an freescale 
> 8560 ADS board. I have every peace of this up and running apart from 
> the FCC ethernet.
>
> I've switched to the legacy mode, which now allow me to talk to the 
> PHY and negocite properly @ 100BT FD.
>
> But I don't seem to get any ethernet packet going out. The FCC 
> controller does not seem to read the BDs, and all the packet's I'm 
> placing in the BD just stay there for ever !
>
> I'm wondering if you have a driver which works properlly ? I'm 
> thinking on some wrong setup in the ioports, but is all seems to be 
> correct !
>
> I'm using a 2.6.9 kernel, but I also tryed other versions (2.6.11r4), 
> with the same problems ...
>
> Thanks
> Jose
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>
>